Submit a signed Hyperliquid abstraction mode change
curl --request POST \
--url https://perps-api.vooi.io/exchange/hyperliquid/set-abstraction/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pendingData": {
"action": {
"hyperliquidChain": "Mainnet",
"nonce": 123,
"signatureChainId": "0xa4b1",
"type": "userSetAbstraction",
"user": "0x1234567890abcdef1234567890abcdef12345678"
},
"nonce": 123
},
"signature": "0xabcdef..."
}
'import requests
url = "https://perps-api.vooi.io/exchange/hyperliquid/set-abstraction/execute"
payload = {
"pendingData": {
"action": {
"hyperliquidChain": "Mainnet",
"nonce": 123,
"signatureChainId": "0xa4b1",
"type": "userSetAbstraction",
"user": "0x1234567890abcdef1234567890abcdef12345678"
},
"nonce": 123
},
"signature": "0xabcdef..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pendingData: {
action: {
hyperliquidChain: 'Mainnet',
nonce: 123,
signatureChainId: '0xa4b1',
type: 'userSetAbstraction',
user: '0x1234567890abcdef1234567890abcdef12345678'
},
nonce: 123
},
signature: '0xabcdef...'
})
};
fetch('https://perps-api.vooi.io/exchange/hyperliquid/set-abstraction/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abstractionMode": "disabled"
}Exchange / Hyperliquid
Submit a signed Hyperliquid abstraction mode change
POST
/
exchange
/
hyperliquid
/
set-abstraction
/
execute
Submit a signed Hyperliquid abstraction mode change
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Your current Hyperliquid account abstraction mode: disabled (perps-only), unifiedAccount and portfolioMargin (spot+perp unified collateral), dexAbstraction (legacy), or default (mode not yet set).
Available options:
disabled, unifiedAccount, portfolioMargin, default, dexAbstraction